Index: /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout
===================================================================
--- /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout	(revision 4454)
+++ /trunk/sources/HeuristicLab.Services.OKB.DataAccess/3.3/OKB.dbml.layout	(revision 4455)
@@ -80,8 +80,566 @@
       </nodes>
     </associationConnector>
-    <classShape Id="5affc6ad-6a51-4852-a56f-1ad75d92a930" isExpanded="false" absoluteBounds="5, 2.125, 2, 0.45">
+    <classShape Id="a404261b-f46d-4103-ae44-bed7deb3fe45" absoluteBounds="8, 12.625, 2, 1.1939925130208333">
+      <DataClassMoniker Name="/OKBDataContext/User" />
+      <nestedChildShapes>
+        <elementListCompartment Id="0a5f6a23-6207-42a6-877f-68722cc29a4a" absoluteBounds="8.015, 13.085, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <classShape Id="aa997e47-0162-4fc2-aa8d-e237c50c46fe" isExpanded="false" absoluteBounds="5, 13.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmUser" />
+      <nestedChildShapes>
+        <elementListCompartment Id="f81c31a9-84c5-40b1-b817-6dccbe77227d" absoluteBounds="5.0150000000000006, 13.835, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(2.75 : 3.05928622214716); (2.33333333333333 : 3.05928622214716); (2.33333333333333 : 13.6); (5 : 13.6)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Algorithm/Algorithm_AlgorithmUser" />
+      <nodes>
+        <classShapeMoniker Id="6395cc20-e99d-4d78-868d-4401004ef90f" />
+        <classShapeMoniker Id="aa997e47-0162-4fc2-aa8d-e237c50c46fe" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 13.5969962565104); (7 : 13.5969962565104)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/User/User_AlgorithmUser" />
+      <nodes>
+        <classShapeMoniker Id="a404261b-f46d-4103-ae44-bed7deb3fe45" />
+        <classShapeMoniker Id="aa997e47-0162-4fc2-aa8d-e237c50c46fe" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="8d911be4-13c4-4abd-85de-4f93f280dd50" isExpanded="false" absoluteBounds="11, 13.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemUser" />
+      <nestedChildShapes>
+        <elementListCompartment Id="bdf4bd9d-405f-4582-99ff-036459c86748" absoluteBounds="11.015, 13.835, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(15.25 : 3.84686083984375); (15.5520833333333 : 3.84686083984375); (15.5520833333333 : 13.6291666666667); (13 : 13.6291666666667)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Problem/Problem_ProblemUser" />
+      <nodes>
+        <classShapeMoniker Id="27d0903a-8f45-4b0b-8d0e-8d632bffc702" />
+        <classShapeMoniker Id="8d911be4-13c4-4abd-85de-4f93f280dd50" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 13.5969962565104); (11 : 13.5969962565104)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/User/User_ProblemUser" />
+      <nodes>
+        <classShapeMoniker Id="a404261b-f46d-4103-ae44-bed7deb3fe45" />
+        <classShapeMoniker Id="8d911be4-13c4-4abd-85de-4f93f280dd50" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="42a9e8c0-3168-43f0-a31f-54d1558bd4c2" absoluteBounds="8, 2.125, 2, 1.3862939453125">
+      <DataClassMoniker Name="/OKBDataContext/Platform" />
+      <nestedChildShapes>
+        <elementListCompartment Id="83ab4fa2-80aa-4c36-9596-bc4d9a0c6daf" absoluteBounds="8.015, 2.585, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8 : 2.9892521417204); (7.75 : 2.9892521417204 : JumpStart); (7.58333333333333 : 2.9892521417204 : JumpEnd); (4.75 : 2.9892521417204)]" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Platform/Platform_Algorithm" />
+      <nodes>
+        <classShapeMoniker Id="42a9e8c0-3168-43f0-a31f-54d1558bd4c2" />
+        <classShapeMoniker Id="6395cc20-e99d-4d78-868d-4401004ef90f" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 3.00163998647837); (10.1510416666667 : 3.00163998647837 : JumpStart); (10.3177083333333 : 3.00163998647837 : JumpEnd); (13.25 : 3.00163998647837)]" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Platform/Platform_Problem" />
+      <nodes>
+        <classShapeMoniker Id="42a9e8c0-3168-43f0-a31f-54d1558bd4c2" />
+        <classShapeMoniker Id="27d0903a-8f45-4b0b-8d0e-8d632bffc702" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75 : 3.70471734924843); (7.58333333333333 : 3.70471734924843 : JumpStart); (7.75 : 3.70471734924843 : JumpEnd); (8.66439605504989 : 3.70471734924843); (8.66439605504989 : 4.375)]" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Algorithm/Algorithm_Experiment" />
+      <nodes>
+        <classShapeMoniker Id="6395cc20-e99d-4d78-868d-4401004ef90f" />
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="83a5f628-defe-486f-bc6a-4ab430293368" absoluteBounds="8, 9.875, 2, 1.9631982421875">
+      <DataClassMoniker Name="/OKBDataContext/Run" />
+      <nestedChildShapes>
+        <elementListCompartment Id="649f10a6-6047-4f4e-b76a-9da90591bbec" absoluteBounds="8.015, 10.335, 1.9700000000000002, 1.4031982421875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.97294619299704 : 5.7612939453125); (8.97294619299704 : 7.07715027669271); (10.0755208333334 : 7.07715027669271 : JumpStart); (10.3177083333333 : 7.07715027669271 : JumpEnd); (10.4169255432508 : 7.07715027669271); (10.4169255432508 : 9.43414366861979); (9.35898824036419 : 9.43414366861979); (9.35898824036419 : 9.875)]" manuallyRouted="true" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_Run" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8.94699175429055 : 12.625); (8.94979879212345 : 12.50125); (8.94979879212345 : 11.8381982421875)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/User/User_Run" />
+      <nodes>
+        <classShapeMoniker Id="a404261b-f46d-4103-ae44-bed7deb3fe45" />
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" absoluteBounds="2.75, 9.875, 2, 1.9631982421875">
+      <DataClassMoniker Name="/OKBDataContext/Result" />
+      <nestedChildShapes>
+        <elementListCompartment Id="f9654c1a-11ad-49a5-869d-09139f6e950f" absoluteBounds="2.765, 10.335, 1.9700000000000002, 1.4031982421875" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(2.75 : 3.57753182566939); (2.48611111111111 : 3.57753182566939); (2.48611111111111 : 10.8349145033753); (2.75 : 10.8349145033753)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Algorithm/Algorithm_Result" />
+      <nodes>
+        <classShapeMoniker Id="6395cc20-e99d-4d78-868d-4401004ef90f" />
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="8b301cad-7a91-46f5-9c49-75b17bac7a67" absoluteBounds="11.75, 10.25, 2, 1.1939925130208344">
+      <DataClassMoniker Name="/OKBDataContext/Client" />
+      <nestedChildShapes>
+        <elementListCompartment Id="aacc92af-97a1-46b2-8614-a54b03736b54" absoluteBounds="11.765, 10.71, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(11.75 : 10.8469962565104); (10 : 10.8469962565104)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Client/Client_Run" />
+      <nodes>
+        <classShapeMoniker Id="8b301cad-7a91-46f5-9c49-75b17bac7a67" />
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="06cdd7a7-aece-4230-94df-523959acef3f" isExpanded="false" absoluteBounds="5, 4.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterBlobValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="b48d7763-2c2a-4795-a2a0-632148a87992" absoluteBounds="5.015, 4.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.75 : 4.6); (5 : 4.6)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/AlgorithmParameter/AlgorithmParameter_AlgorithmParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+        <classShapeMoniker Id="06cdd7a7-aece-4230-94df-523959acef3f" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 4.474343832021); (7.75 : 4.47434383202099 : JumpStart); (7.58333333333333 : 4.474343832021 : JumpEnd); (7 : 4.474343832021)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_AlgorithmParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="06cdd7a7-aece-4230-94df-523959acef3f" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" absoluteBounds="8, 7.375, 2, 1.5785953776041666">
+      <DataClassMoniker Name="/OKBDataContext/DataType" />
+      <nestedChildShapes>
+        <elementListCompartment Id="ce12818a-3944-434b-8219-a290382fdcbc" absoluteBounds="8.015, 7.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8 : 8.59359245906078); (3.75523427495249 : 8.59359245906078); (3.75523427495249 : 6.3381982421875)]" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameter" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 8.8332272596976); (10.3335922099174 : 8.8332272596976 : JumpStart); (10.5002588765841 : 8.8332272596976 : JumpEnd); (14.2812525 : 8.8332272596976); (14.2812525 : 6.3381982421875)]" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameter" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 8.84709721018681); (3.73775859657604 : 8.84709721018681); (3.73775859657604 : 9.875)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_Result" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 7.64868451067789); (7.53385416666667 : 7.64868451067789); (7.53385416666667 : 4.69868766404199); (7 : 4.69868766404199)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="06cdd7a7-aece-4230-94df-523959acef3f" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 3.24965968229986); (10.1588541666667 : 3.24965968229986); (10.1588541666667 : 7.51797277441852); (10 : 7.51797277441852)]" manuallyRouted="true" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Platform/Platform_DataType" />
+      <nodes>
+        <classShapeMoniker Id="42a9e8c0-3168-43f0-a31f-54d1558bd4c2" />
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="26374887-8257-4278-aab5-42acd8160d99" isExpanded="false" absoluteBounds="5, 4.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterBoolValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="674d80df-63fd-44ab-85f1-326e2e32ebca" absoluteBounds="5.015, 5.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.75 : 5.1); (5 : 5.1)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/AlgorithmParameter/AlgorithmParameter_AlgorithmParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+        <classShapeMoniker Id="26374887-8257-4278-aab5-42acd8160d99" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 7.84101029413916); (7.45052083333333 : 7.84101029413916); (7.45052083333333 : 5.18549618320611); (7 : 5.18549618320611)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="26374887-8257-4278-aab5-42acd8160d99" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 4.96774809160306); (7.75 : 4.96774809160305 : JumpStart); (7.45052083333334 : 4.96774809160306 : JumpEnd); (7 : 4.96774809160306)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_AlgorithmParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="26374887-8257-4278-aab5-42acd8160d99" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="057a5dc9-97f1-4752-98b1-7e34502a121d" isExpanded="false" absoluteBounds="5, 5.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterFloatValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="816b5043-a0c5-4633-96b3-f37d5e57a76d" absoluteBounds="5.015, 5.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.75 : 5.6); (5 : 5.6)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/AlgorithmParameter/AlgorithmParameter_AlgorithmParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+        <classShapeMoniker Id="057a5dc9-97f1-4752-98b1-7e34502a121d" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 8.01620545089886); (7.36677083333333 : 8.01620545089886); (7.36677083333333 : 5.67187575); (7 : 5.67187575)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="057a5dc9-97f1-4752-98b1-7e34502a121d" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 5.460937875); (7.75 : 5.460937875 : JumpStart); (7.3671875 : 5.460937875 : JumpEnd); (7 : 5.460937875)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_AlgorithmParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="057a5dc9-97f1-4752-98b1-7e34502a121d" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="2f5e14b0-a1c2-4ff8-85e9-8be6dd6d1a3c" isExpanded="false" absoluteBounds="5, 5.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterIntValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="752cb331-8b80-4e3d-bf2b-cf3e5f7969dd" absoluteBounds="5.015, 6.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.75 : 6.1); (5 : 6.1)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/AlgorithmParameter/AlgorithmParameter_AlgorithmParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+        <classShapeMoniker Id="2f5e14b0-a1c2-4ff8-85e9-8be6dd6d1a3c" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 8.17682240181229); (7.28645833333333 : 8.17682240181229); (7.28645833333333 : 6.14022346368715); (7 : 6.14022346368715)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="2f5e14b0-a1c2-4ff8-85e9-8be6dd6d1a3c" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8.12469232196825 : 5.7612939453125); (8.12469232196825 : 6.26386423184357); (7.75 : 6.26386423184357 : JumpStart); (7.203125 : 6.26386423184357 : JumpEnd); (7 : 6.26386423184357)]" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_AlgorithmParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="2f5e14b0-a1c2-4ff8-85e9-8be6dd6d1a3c" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="eea47e09-6cec-4cb3-9d45-7b9004038e54" isExpanded="false" absoluteBounds="5, 6.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/AlgorithmParameterStringValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="c80917ed-7a25-4278-bdef-8dc9ab7ce3eb" absoluteBounds="5.015, 6.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(4.75 : 6.3381982421875); (5 : 6.375)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/AlgorithmParameter/AlgorithmParameter_AlgorithmParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="533939e3-1d76-4e1b-a562-4bb7a30cc432" />
+        <classShapeMoniker Id="eea47e09-6cec-4cb3-9d45-7b9004038e54" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 8.34008770793474); (7.22395833333333 : 8.34008770793474); (7.22395833333333 : 6.68727272727273); (7 : 6.68727272727273)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_AlgorithmParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="eea47e09-6cec-4cb3-9d45-7b9004038e54" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8.32275220480378 : 5.7612939453125); (8.32275220480378 : 6.52913752913753); (7.75 : 6.52913752913753 : JumpStart); (7.203125 : 6.52913752913753 : JumpEnd); (7 : 6.52913752913753)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_AlgorithmParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="eea47e09-6cec-4cb3-9d45-7b9004038e54" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="3a7d54f6-474c-4e4d-b1ef-db12741c57a7" isExpanded="false" absoluteBounds="11, 4.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemParameterBlobValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="661a54eb-030c-441f-b081-ff5fb5f56029" absoluteBounds="11.015, 4.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(10 : 7.9786396782387); (10.3335922099174 : 7.9786396782387 : JumpStart); (10.5002588765841 : 7.9786396782387 : JumpEnd); (10.5625 : 7.9786396782387); (10.5625 : 4.6994708994709); (11 : 4.6994708994709)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="3a7d54f6-474c-4e4d-b1ef-db12741c57a7" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 4.55926455740201); (10.0755208981321 : 4.55917037795654 : JumpStart); (10.3177082685346 : 4.5588683546384 : JumpEnd); (11 : 4.55801749271137)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_ProblemParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="3a7d54f6-474c-4e4d-b1ef-db12741c57a7" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(13.25 : 4.6); (13 : 4.6)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+        <classShapeMoniker Id="3a7d54f6-474c-4e4d-b1ef-db12741c57a7" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="17eed903-551f-4855-bec6-9766e172358a" isExpanded="false" absoluteBounds="11, 4.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemParameterBoolValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="4e4b3cfc-c0b8-4792-a6f6-69eca72be5e9" absoluteBounds="11.015, 5.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(10 : 8.10809372095976); (10.3335922099174 : 8.10809372095976 : JumpStart); (10.5002588765841 : 8.10809372095976 : JumpEnd); (10.625 : 8.10809372095976); (10.625 : 5.16632124352332); (11 : 5.16632124352332)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="17eed903-551f-4855-bec6-9766e172358a" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 5.01957671957672); (10.0755208333334 : 5.01957671957672 : JumpStart); (10.3177083333333 : 5.01957671957672 : JumpEnd); (10.4791666666667 : 5.01957671957672 : JumpStart); (10.6458333333333 : 5.01957671957672 : JumpEnd); (11 : 5.01957671957672)]" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_ProblemParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="17eed903-551f-4855-bec6-9766e172358a" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(13.25 : 5.1); (13 : 5.1)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+        <classShapeMoniker Id="17eed903-551f-4855-bec6-9766e172358a" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="efb685e2-26e6-42b4-af33-25d0a261a8e4" isExpanded="false" absoluteBounds="11, 5.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemParameterFloatValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="e4fc9f1f-c248-4dc4-92d8-251dabb0e892" absoluteBounds="11.015, 5.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(10 : 8.28358960953379); (10.3335922099174 : 8.28358960953379 : JumpStart); (10.5002588765841 : 8.28358960953379 : JumpEnd); (10.6848958333333 : 8.28358960953379); (10.6848958333333 : 5.65482233502538); (11 : 5.65482233502538)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="efb685e2-26e6-42b4-af33-25d0a261a8e4" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(10 : 5.52361809045226); (10.0755208333334 : 5.52361809045226 : JumpStart); (10.3177083333333 : 5.52361809045226 : JumpEnd); (10.4791666666667 : 5.52361809045226 : JumpStart); (10.7083333333333 : 5.52361809045226 : JumpEnd); (11 : 5.52361809045226)]" fixedFrom="Algorithm" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_ProblemParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="efb685e2-26e6-42b4-af33-25d0a261a8e4" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(13.25 : 5.6); (13 : 5.6)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+        <classShapeMoniker Id="efb685e2-26e6-42b4-af33-25d0a261a8e4" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="b27bcaf0-a671-4840-b8d0-3b0b9a75e521" isExpanded="false" absoluteBounds="11, 5.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemParameterIntValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="8d19f7b7-2edd-4c58-b478-8c9e82f8dd8e" absoluteBounds="11.015, 6.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(10 : 8.41284371712721); (10.3335922099174 : 8.41284371712721 : JumpStart); (10.5002588765841 : 8.41284371712721 : JumpEnd); (10.796875 : 8.41284371712721); (10.796875 : 6.18442211055276); (11 : 6.18442211055276)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="b27bcaf0-a671-4840-b8d0-3b0b9a75e521" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(9.90313426539349 : 5.7612939453125); (9.90313426539349 : 5.99845855527638); (10.0755208333334 : 5.99845855527638 : JumpStart); (10.3177083333333 : 5.99845855527638 : JumpEnd); (10.4791666666667 : 5.99845855527638 : JumpStart); (10.7682291666666 : 5.99845855527638 : JumpEnd); (11 : 5.99845855527638)]" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_ProblemParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="b27bcaf0-a671-4840-b8d0-3b0b9a75e521" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(13.25 : 6.1); (13 : 6.1)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterIntValue" />
+      <nodes>
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+        <classShapeMoniker Id="b27bcaf0-a671-4840-b8d0-3b0b9a75e521" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="b7bc30b4-f687-4b26-8033-3a45f55ba3d0" isExpanded="false" absoluteBounds="11, 6.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ProblemParameterStringValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="3f3ddbbc-2bdc-4b62-8af7-c764c9cb3d23" absoluteBounds="11.015, 6.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(10 : 8.58033140185627); (10.3335922099174 : 8.58033140185627 : JumpStart); (10.5002588765841 : 8.58033140185627 : JumpEnd); (10.8333333333334 : 8.58033140185627); (10.8333333333334 : 6.67728459530026); (11 : 6.67728459530026)]" manuallyRouted="true" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ProblemParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="b7bc30b4-f687-4b26-8033-3a45f55ba3d0" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(9.7239488113416 : 5.7612939453125); (9.7239488113416 : 6.52284263959391); (10.0755208333334 : 6.52284263959391 : JumpStart); (10.3177083333333 : 6.52284263959391 : JumpEnd); (10.4791666666667 : 6.52284263959391 : JumpStart); (10.8802083333333 : 6.52284263959391 : JumpEnd); (11 : 6.52284263959391)]" fixedFrom="Caller" fixedTo="Caller">
+      <AssociationMoniker Name="/OKBDataContext/Experiment/Experiment_ProblemParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="c250fb1a-b448-499e-b8eb-d1d0c38521a0" />
+        <classShapeMoniker Id="b7bc30b4-f687-4b26-8033-3a45f55ba3d0" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(13.25 : 6.3381982421875); (13 : 6.375)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/ProblemParameter/ProblemParameter_ProblemParameterStringValue" />
+      <nodes>
+        <classShapeMoniker Id="8b17f420-0cf1-402a-aaec-d2372f039661" />
+        <classShapeMoniker Id="b7bc30b4-f687-4b26-8033-3a45f55ba3d0" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="ee200851-595b-4ee2-b49c-05a55a37599f" isExpanded="false" absoluteBounds="5, 9.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ResultBlobValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="0ac0d616-ed46-4b7b-9cc5-2603a9b9ec47" absoluteBounds="5.015, 10.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.25347949158136 : 8.95359537760417); (8.25347949158136 : 9.10416666666667); (7.234375 : 9.10416666666667); (7.234375 : 9.956248); (7 : 9.956248)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ResultBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="ee200851-595b-4ee2-b49c-05a55a37599f" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75 : 10.1); (5 : 10.1)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Result/Result_ResultBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+        <classShapeMoniker Id="ee200851-595b-4ee2-b49c-05a55a37599f" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 10.203124); (7.640625 : 10.203124 : JumpStart); (7.25520833333334 : 10.203124 : JumpEnd); (7 : 10.203124)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Run/Run_ResultBlobValue" />
+      <nodes>
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+        <classShapeMoniker Id="ee200851-595b-4ee2-b49c-05a55a37599f" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="d9962bb9-5e85-4440-ba70-52dee5597bb5" isExpanded="false" absoluteBounds="5, 10.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ResultBoolValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="df41447b-8550-49a9-ae8a-ce5fdde5f39e" absoluteBounds="5.015, 10.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.40008105657562 : 8.95359537760417); (8.40008105657562 : 9.19791666666667); (7.33854166666667 : 9.19791666666667); (7.33854166666667 : 10.5251231527094); (7 : 10.5251231527094)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ResultBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="d9962bb9-5e85-4440-ba70-52dee5597bb5" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75 : 10.6); (5 : 10.6)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Result/Result_ResultBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+        <classShapeMoniker Id="d9962bb9-5e85-4440-ba70-52dee5597bb5" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 10.7375615763547); (7.640625 : 10.7375615763547 : JumpStart); (7.31770833333334 : 10.7375615763547 : JumpEnd); (7 : 10.7375615763547)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Run/Run_ResultBoolValue" />
+      <nodes>
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+        <classShapeMoniker Id="d9962bb9-5e85-4440-ba70-52dee5597bb5" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="87722e82-0ed2-4367-970a-de15813bccf4" isExpanded="false" absoluteBounds="5, 10.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ResultFloatValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="7da0329a-6d27-48f9-9681-3218a4f30693" absoluteBounds="5.015, 11.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.50949690409837 : 8.95359537760417); (8.50949690409837 : 9.34375); (7.40104166666667 : 9.34375); (7.40104166666667 : 11.0431472081218); (7 : 11.0431472081218)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ResultFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="87722e82-0ed2-4367-970a-de15813bccf4" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75 : 11.1); (5 : 11.1)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Result/Result_ResultFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+        <classShapeMoniker Id="87722e82-0ed2-4367-970a-de15813bccf4" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 11.2465736040609); (7.640625 : 11.2465736040609 : JumpStart); (7.390625 : 11.2465736040609 : JumpEnd); (7 : 11.2465736040609)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Run/Run_ResultFloatValue" />
+      <nodes>
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+        <classShapeMoniker Id="87722e82-0ed2-4367-970a-de15813bccf4" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="51114ffd-aaac-4a08-b313-992d55fb1998" isExpanded="false" absoluteBounds="5, 11.375, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ResultIntValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="c0d4b94f-c6a1-4143-866a-11e138a128b2" absoluteBounds="5.015, 11.835, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.64347373456605 : 8.95359537760417); (8.64347373456605 : 9.48958333333333); (7.47395833333333 : 9.48958333333333); (7.47395833333333 : 11.5523316062176); (7 : 11.5523316062176)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ResultIntValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="51114ffd-aaac-4a08-b313-992d55fb1998" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75 : 11.6); (5 : 11.6)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Result/Result_ResultIntValue" />
+      <nodes>
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+        <classShapeMoniker Id="51114ffd-aaac-4a08-b313-992d55fb1998" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8 : 11.7511658031088); (7.640625 : 11.7511658031088 : JumpStart); (7.47395833333334 : 11.7511658031088 : JumpEnd); (7 : 11.7511658031088)]" fixedFrom="Algorithm" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Run/Run_ResultIntValue" />
+      <nodes>
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+        <classShapeMoniker Id="51114ffd-aaac-4a08-b313-992d55fb1998" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="88d442c4-1dd1-4cbf-ab9f-0ab5be88bde3" isExpanded="false" absoluteBounds="5, 11.875, 2, 0.45">
+      <DataClassMoniker Name="/OKBDataContext/ResultStringValue" />
+      <nestedChildShapes>
+        <elementListCompartment Id="e1b83e78-6822-4fc3-ad73-406604736b80" absoluteBounds="5.015, 12.335, 1.9700000000000002, 1.0185953776041665" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+      </nestedChildShapes>
+    </classShape>
+    <associationConnector edgePoints="[(8.76594671358473 : 8.95359537760417); (8.76594671358473 : 9.625); (7.55729166666667 : 9.625); (7.55729166666667 : 12.0117948717949); (7 : 12.0117948717949)]" manuallyRouted="true" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/DataType/DataType_ResultStringValue" />
+      <nodes>
+        <classShapeMoniker Id="fd56e6c2-86ec-4a3e-b5b4-3fc7da52b28c" />
+        <classShapeMoniker Id="88d442c4-1dd1-4cbf-ab9f-0ab5be88bde3" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(4.75000000000001 : 11.8381982421875); (5 : 11.875)]" fixedFrom="NotFixed" fixedTo="NotFixed">
+      <AssociationMoniker Name="/OKBDataContext/Result/Result_ResultStringValue" />
+      <nodes>
+        <classShapeMoniker Id="1cb9bad0-d19c-43d7-97f8-a26cf3e2d7a0" />
+        <classShapeMoniker Id="88d442c4-1dd1-4cbf-ab9f-0ab5be88bde3" />
+      </nodes>
+    </associationConnector>
+    <associationConnector edgePoints="[(8.19174036349966 : 11.8381982421875); (8.19174036349966 : 12.1996499358974); (7 : 12.1996499358974)]" fixedFrom="Caller" fixedTo="Algorithm">
+      <AssociationMoniker Name="/OKBDataContext/Run/Run_ResultStringValue" />
+      <nodes>
+        <classShapeMoniker Id="83a5f628-defe-486f-bc6a-4ab430293368" />
+        <classShapeMoniker Id="88d442c4-1dd1-4cbf-ab9f-0ab5be88bde3" />
+      </nodes>
+    </associationConnector>
+    <classShape Id="6a694570-7fd3-46f5-8972-d67f230df83e" isExpanded="false" absoluteBounds="5, 2.125, 2, 0.45">
       <DataClassMoniker Name="/OKBDataContext/AlgorithmData" />
       <nestedChildShapes>
-        <elementListCompartment Id="d80b3c3e-0bff-4464-b4d3-312f6cd43786" absoluteBounds="5.015, 2.585, 1.9700000000000002, 0.63399251302083326" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
+        <elementListCompartment Id="528e0b3e-4609-41e5-931d-60e5165e8fcf" absoluteBounds="5.015, 2.585, 1.9700000000000002, 0.8262939453125" name="DataPropertiesCompartment" titleTextColor="Black" itemTextColor="Black" />
       </nestedChildShapes>
     </classShape>
